cgGetPassTechnique(3)

NAME
cgGetPassTechnique - get a pass's technique

SYNOPSIS
  #include <Cg/cg.h>
  CGtechnique cgGetPassTechnique( CGpass pass );

PARAMETERS

pass
    The pass.

RETURN VALUES
Returns a CGtechnique handle to the technique.

Returns NULL if an error occurs.

DESCRIPTION
cgGetPassTechnique allows the application to retrieve a handle to the technique to which a given pass belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetPassTechnique was introduced in Cg 1.4.

SEE ALSO
cgIsTechnique, cgGetNextTechnique, cgIsPass